Subject: bug#21863: gcc 5 (5.2.1) breaks guile 1.8.7

From: Andy Wingo <[email-masked]>
Date: Thu, 07 Jul 2016 11:58:30 +0200

On Tue 05 Jul 2016 09:12, Sergey <[email-masked]> writes:

> On Friday 24 June 2016, Andy Wingo wrote:
>
>> > I attempt to build GNU Mailutis (current git) by gcc
>> > 5.2.1 but it is failed with
>
>> My understanding is that Guile 2.0.11 fixed this problem.
>> Are you still seeing this with 2.0.11 ?
>
> No. Replacement 1.8 to 2.0 is not always possible. I can't
> build Mailutis with 2.0 as I see.

Ah, I see, you are seeing a bug with Guile 1.8.7, I missed that; I
thought this bug was with 2.0.9.

We could back-port the fix to Guile 1.8.7, but 2.2 is coming out soon,
at which point the branch will be doubly obsolete.  I am not sure that
we will make a 1.8 release either :/  No time, unfortunately.

Andy